[semantic_release]
tag_format = "v{version}"
commit_message = "chore: release v{version}"
commit_parser = "conventional"

version_variables = [
  "lib/Config/Configuration.php:VERSION:nf",
  "docs/source/conf.py:release:nf",
  "SECURITY.md:supported_version:nf",
]

[semantic_release.branches.develop]
match = "^develop$"
prerelease = false

[semantic_release.changelog]
mode = "update"
insertion_flag = "<!-- version list -->"
exclude_commit_patterns = [
  '''chore\(deps\): .+''',  # Exclude dependency updates from the changelog
]
